/**
 * \brief Export dialog
 *
 * Authors:
 *   Bryce W. Harrington <bryce@bryceharrington.org>
 *
 * Copyright (C) 2004, 2005 Authors
 *
 * Released under GNU GPL.  Read the file 'COPYING' for more information.
 */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include "export.h"
#include "verbs.h"

namespace Inkscape {
namespace UI {
namespace Dialog {

Export::Export() 
    : UI::Widget::Panel("", "dialogs.export", SP_VERB_FILE_EXPORT),
      _page_export(1, 1)
{
    _getContents()->set_spacing(4);

    // Notebook for individual transformations
    _getContents()->pack_start(_notebook, true, true);

    _notebook.append_page(_page_export, _("Export"));

    // TODO:  Insert widgets

    show_all_children();
}

Export::~Export() 
{
}

} // namespace Dialog
} // namespace UI
} // namespace Inkscape

/*
  Local Variables:
  mode:c++
  c-file-style:"stroustrup"
  c-file-offsets:((innamespace . 0)(inline-open . 0)(case-label . +))
  indent-tabs-mode:nil
  fill-column:99
  End:
*/
// vim: filetype=cpp:expandtab:shiftwidth=4:tabstop=8:softtabstop=4:encoding=utf-8:textwidth=99 :
